feature count refreshed after each edit and in the form view of the attribute table

2017-07-18 11:47 AM - Arnaud Poncet-Montanges

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:2.18.11 Regression?: No

Operating System: Windows 7 x64 SP1 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24781

Description

Actually, qgis 2.18.9 and higher refresh the entity count after each edit and in the form view of the attribute table, this is really annoying.

https://user-images.githubusercontent.com/8614223/28310699-9a45aee2-6bad-11e7-8ea1-69817e251e34.gif

Actual workaround : deactivate entity count for the edited layer.

#16659 (Linked)

History

#1 - 2017-07-18 12:01 PM - Giovanni Manghi

- Subject changed from Refresh feature count is a bit too aggressive to feature count refreshed after each edit and in the form view of the attribute table

- Status changed from Open to Feedback

- Assignee deleted (Regis Haubourg)

- Affected QGIS version changed from 2.18.9 to 2.18.10

Why regression? was not the case in older QGIS releases?

#2 - 2017-07-25 07:44 PM - Giovanni Manghi

- Affected QGIS version changed from 2.18.10 to 2.18.11

#3 - 2017-08-08 12:28 AM - Jürgen Fischer

- Description updated

#4 - 2017-09-25 04:29 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Regression? changed from Yes to No

#5 - 2017-10-02 09:56 AM - Arnaud Poncet-Montanges

Actually, the annoying thing is not that the entity count is updated but the fact that the attribute table goes into background.

#6 - 2019-01-24 05:43 PM - salvatore fiandaca

- Status changed from Open to Closed

2025-06-13 1/2



I just did a test with a shapefile with 20k points, I can not reproduce the problem described in both the 2.18.28, 3.4.4 and master

therefore closed issues

#7 - 2019-01-24 06:36 PM - Giovanni Manghi

- Resolution set to fixed/implemented

salvatore fiandaca wrote:

I just did a test with a shapefile with 20k points, I can not reproduce the problem described in both the 2.18.28, 3.4.4 and master

therefore closed issues

please set the resolution of tickets.
